Subject: Re: bug#31611: Add a property in packages to refresh to a specific version
From: Maxim Cournoyer <[email-masked]>
To: Hartmut Goebel <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Aug 2023 15:59:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Hartmut,

Hartmut Goebel <[email-masked]> writes:

> `guix refresh` always fetches the newest version of packages. This might
> not be desired in all cases. E.g. one might want to keep some still
> supported "major" upstream-version and not yet update to the next
> "major" version.
>
> Ludo suggested to add a property in packages that would instruct
> updaters to restrict the version search space to a given regexp.
>
> Rational: Example: KDE Plasma 5 has 5.12 as long-term-support (LTS)
> version, while 5.14 has already being released. Do easy maintenance of
> dependent packages, sticking to 5.12.x micht be desired.
>
> Original discussion:
> https://lists.gnu.org/archive/html/guix-devel/2018-02/msg00055.html

It's now possible to refresh to a specific version with the '=' syntax,
as documented in 'info "(guix)Invoking guix refresh"':

E.g.:

--8<---------------cut here---------------start------------->8---
guix refresh qtbase@5=5.15.10 -> qtbase would be upgraded from 5.15.8 to 5.15.10
--8<---------------cut here---------------end--------------->8---

Closing!

-- 
Thanks,
Maxim